package com.yihu.jw.entity.hospital.survey;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by Trick on 2019/9/6.
 */
@Entity
@Table(name = "wlyy_survey_template_question")
public class WlyySurveyTemplateQuestionDO {

    private String id;
    private String code;//问题id
    private String title;//问题标题',
    private String questionComment;//问题说明（可为null）',
    private Integer questionType;//问题类型（0单选 1多选 2问答）',
    private String templateCode;//模板编码',
    private Integer isRequired;//是否必答（0否 1是）',
    private Integer minNum;//最小答案个数（多选有效）',
    private Integer maxNum;//最大答案个数（多选有效）',
    private String questionCodeNext;//下一题问题编码（问答题逻辑跳转）',
    private String questionSortNext;//下一题问题所属sort排序',
    private Integer sort;//排序',
    private String del;//删除标志（1正常，0删除）',
    private Date createTime;//创建时间',
    private Date updateTime;//修改时间',

    @Id
    @Column(name = "id", unique = true, nullable = false)
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getQuestionComment() {
        return questionComment;
    }

    public void setQuestionComment(String questionComment) {
        this.questionComment = questionComment;
    }

    public Integer getQuestionType() {
        return questionType;
    }

    public void setQuestionType(Integer questionType) {
        this.questionType = questionType;
    }

    public String getTemplateCode() {
        return templateCode;
    }

    public void setTemplateCode(String templateCode) {
        this.templateCode = templateCode;
    }

    public Integer getIsRequired() {
        return isRequired;
    }

    public void setIsRequired(Integer isRequired) {
        this.isRequired = isRequired;
    }

    public Integer getMinNum() {
        return minNum;
    }

    public void setMinNum(Integer minNum) {
        this.minNum = minNum;
    }

    public Integer getMaxNum() {
        return maxNum;
    }

    public void setMaxNum(Integer maxNum) {
        this.maxNum = maxNum;
    }

    public String getQuestionCodeNext() {
        return questionCodeNext;
    }

    public void setQuestionCodeNext(String questionCodeNext) {
        this.questionCodeNext = questionCodeNext;
    }

    public String getQuestionSortNext() {
        return questionSortNext;
    }

    public void setQuestionSortNext(String questionSortNext) {
        this.questionSortNext = questionSortNext;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public String getDel() {
        return del;
    }

    public void setDel(String del) {
        this.del = del;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
